aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorKaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>2015-06-11 14:48:20 +0300
committerKaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>2015-06-11 14:48:20 +0300
commit9dee9b23d51605422019a3b5238f057e3f14564c (patch)
tree3cae6ae7df60f58c2765c95c1ab428607ce38737
parent767c2e73ddbc57f6b6aa16649bf5a28473b043ee (diff)
downloadaports-9dee9b23d51605422019a3b5238f057e3f14564c.tar.gz
aports-9dee9b23d51605422019a3b5238f057e3f14564c.tar.bz2
aports-9dee9b23d51605422019a3b5238f057e3f14564c.tar.xz
main/aconf: upgrade to 0.5.0
-rw-r--r--main/aconf/APKBUILD36
1 files changed, 21 insertions, 15 deletions
diff --git a/main/aconf/APKBUILD b/main/aconf/APKBUILD
index 1523dec75a..f3d8ca8baa 100644
--- a/main/aconf/APKBUILD
+++ b/main/aconf/APKBUILD
@@ -1,8 +1,8 @@
# Contributor: Kaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>
# Maintainer: Kaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>
pkgname=aconf
-pkgver=0.4.0
-pkgrel=2
+pkgver=0.5.0
+pkgrel=0
pkgdesc="Alpine Configurator"
url="http://git.alpinelinux.org/cgit/kunkku/aconf/"
arch="noarch"
@@ -10,18 +10,23 @@ license="BSD"
depends="lua5.2-augeas lua5.2-b64 lua5.2-cjson lua5.2-crypto \
lua5.2-file-magic lua5.2-openrc lua5.2-posix lua5.2-stringy uwsgi \
uwsgi-lua"
-makedepends=""
+makedepends="ldoc"
source="${url}snapshot/${pkgname}-${pkgver}.tar.bz2 $pkgname.initd"
-_modules="dnsmasq network openssh"
+_modules="dnsmasq dns-zone network openssh"
+_escape() {
+ echo ${1//-/_}
+}
-subpackages=""
+subpackages="$pkgname-doc"
for _m in $_modules; do
- subpackages="$subpackages $pkgname-mod-$_m:_$_m"
- eval "_deps_$_m=$_m"
+ _e=$(_escape $_m)
+ subpackages="$subpackages $pkgname-mod-$_m:_$_e"
+ eval "_deps_$_e=$_m"
done
+_deps_dns_zone=
_deps_network=
@@ -52,23 +57,24 @@ _moddir=usr/share/lua/5.2/$pkgname/modules
_augdir=usr/share/$pkgname/augeas
_module() {
- eval "depends=\"$pkgname \$_deps_$1\""
+ local m=$(_escape $1)
+ eval "depends=\"$pkgname \$_deps_$m\""
mkdir -p "$subpkgdir/$_moddir" || return 1
mv "$pkgdir/$_moddir/$1.lua" "$subpkgdir/$_moddir" || return 1
- _lens=$pkgdir/$_augdir/aconf_$1.aug
- [ -f "$_lens" ] || return 0
+ local lens=$pkgdir/$_augdir/aconf_$m.aug
+ [ -f "$lens" ] || return 0
mkdir -p "$subpkgdir/$_augdir" || return 1
- mv "$_lens" "$subpkgdir/$_augdir"
+ mv "$lens" "$subpkgdir/$_augdir"
}
for _m in $_modules; do
- eval "_$_m() { _module $_m; }"
+ eval "_$(_escape $_m)() { _module $_m; }"
done
-md5sums="eefb3a90b70cfb7e46674d80fa249ca2 aconf-0.4.0.tar.bz2
+md5sums="cd6bfae5475b36e5cc8c3bde56c5c3e3 aconf-0.5.0.tar.bz2
7970bdf80b9d3003b6824804ca52c42d aconf.initd"
-sha256sums="9a72acdde194726a4086f38e7002574d27e0d87b9a1afc541520bf4742125c2f aconf-0.4.0.tar.bz2
+sha256sums="63b726cde07fc0b82c12d10393c55c4cde224f8aebe03ca22c40db241207eb17 aconf-0.5.0.tar.bz2
b44d65922c98f3e3b5f2a41e76c1f67eb95c5d547d7095246c3b2bb308cf8538 aconf.initd"
-sha512sums="27d7179590c391790a1392b4a87afa6b870001726cc9b43aa039881692917dc5260625957442cd3b052cf8c34fe00a5399a3ba02165f7f844d05ec5ac8541822 aconf-0.4.0.tar.bz2
+sha512sums="50b3fd3b2c90b1123876deb20e675ae14d2b46e420976151945d0513f88870ffe2881251cc1da431887796b6a07fbba9970e36d0a437e508109f2c998cae9915 aconf-0.5.0.tar.bz2
2706ff356ee8ab72d5b0ac0b6f1bcb3996e7e66457ddc4dbf9745cc6d93a3d9051d141cf0dd28e6b73a422b2d67a0952ed1633471ef7c4bb7393e1ae17e3aa9d aconf.initd"